package com.neusoft.smart.pos.card.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class CardCapitalChange implements Serializable {
    private Integer amountChangeId;

    private Integer cardId;

    private String cardNum;

    private String changeOrderId;

    private Long amountChange;

    private Long amountBefore;

    private Long amountAfter;

    private Integer pointChange;

    private Integer pointBefore;

    private Integer pointAfter;

    private Integer changeType;

    private Date changeTime;

    private Integer isActive;

    private String content;

    private Date createdTime;

    private String createdBy;

    private static final long serialVersionUID = 1L;

    public Integer getAmountChangeId() {
        return amountChangeId;
    }

    public void setAmountChangeId(Integer amountChangeId) {
        this.amountChangeId = amountChangeId;
    }

    public Integer getCardId() {
        return cardId;
    }

    public void setCardId(Integer cardId) {
        this.cardId = cardId;
    }

    public String getCardNum() {
        return cardNum;
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum == null ? null : cardNum.trim();
    }

    public String getChangeOrderId() {
        return changeOrderId;
    }

    public void setChangeOrderId(String changeOrderId) {
        this.changeOrderId = changeOrderId == null ? null : changeOrderId.trim();
    }

    public Long getAmountChange() {
        return amountChange;
    }

    public void setAmountChange(Long amountChange) {
        this.amountChange = amountChange;
    }

    public Long getAmountBefore() {
        return amountBefore;
    }

    public void setAmountBefore(Long amountBefore) {
        this.amountBefore = amountBefore;
    }

    public Long getAmountAfter() {
        return amountAfter;
    }

    public void setAmountAfter(Long amountAfter) {
        this.amountAfter = amountAfter;
    }

    public Integer getPointChange() {
        return pointChange;
    }

    public void setPointChange(Integer pointChange) {
        this.pointChange = pointChange;
    }

    public Integer getPointBefore() {
        return pointBefore;
    }

    public void setPointBefore(Integer pointBefore) {
        this.pointBefore = pointBefore;
    }

    public Integer getPointAfter() {
        return pointAfter;
    }

    public void setPointAfter(Integer pointAfter) {
        this.pointAfter = pointAfter;
    }

    public Integer getChangeType() {
        return changeType;
    }

    public void setChangeType(Integer changeType) {
        this.changeType = changeType;
    }

    public Date getChangeTime() {
        return changeTime;
    }

    public void setChangeTime(Date changeTime) {
        this.changeTime = changeTime;
    }

    public Integer getIsActive() {
        return isActive;
    }

    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }
}